Loading...
Loading...
https://merchant.paywize.inCheck transaction status for UPI Collection payments through Connected Banking.
Last updated: 2026-07-06
POST /api/v1/connected-banking/public/upi-collection/get-status
Content-Type: application/json
Authorization: Bearer <jwt_token>
{
"payload": "0oA+t8GGuDZ0FrEbhM9bZ2pxTDZTaHRWRW1tQn...encrypted_payload"
}
Either transactionId or senderId can be used to look up the transaction:
{
"transactionId": "CHUC270726000001"
}
{
"senderId": "SENDER0001"
}
{
"resp_code": 2000,
"resp_message": "Transaction fetched successfully",
"data": "GEIWnH23B9eBTXSh46igWYgWam..encrypted_data_here"
}
{
"transactionId": "CHUC230726000001",
"senderId": "SENDER00001",
"amount": "1000",
"paymentMode": "UPI",
"status": "Success",
"utrNumber": "689223948683",
"remarks": "Test production payment",
"createdAt": "23 Jul 2026, 05:25:46 pm",
"updatedAt": "23 Jul 2026, 05:29:06 pm"
}
| Code | Message |
|---|---|
| 2000 | Transaction fetched successfully |
| 4101 | Missing transactionId or senderId. |
| 4001 | Unauthorized – invalid or expired token |
| 4103 | Transaction not found |
| Status | Message |
|---|---|
| Initiated | Payment request created |
| Success | Payment completed successfully |
| Expired | Payment expired |
| Failed | Payment failed |
| Deemed | Transaction Pending |